package cn.com.infosec.i18n;

import java.util.Locale;
import java.util.TimeZone;

public class ErrorBundle extends MessageBundle {
   public static final String SUMMARY_ENTRY = "summary";
   public static final String DETAIL_ENTRY = "details";

   public ErrorBundle(String resource, String id) {
      super(resource, id);
   }

   public ErrorBundle(String resource, String id, String encoding) {
      super(resource, id, encoding);
   }

   public ErrorBundle(String resource, String id, Object[] arguments) {
      super(resource, id, arguments);
   }

   public ErrorBundle(String resource, String id, String encoding, Object[] arguments) {
      super(resource, id, encoding, arguments);
   }

   public String getSummary(Locale loc, TimeZone timezone) {
      return this.getEntry("summary", loc, timezone);
   }

   public String getSummary(Locale loc) {
      ErrorBundle var10000 = this;
      TimeZone var2 = TimeZone.getDefault();
      return var10000.getEntry("summary", loc, var2);
   }

   public String getDetail(Locale loc, TimeZone timezone) {
      return this.getEntry("details", loc, timezone);
   }

   public String getDetail(Locale loc) {
      ErrorBundle var10000 = this;
      TimeZone var2 = TimeZone.getDefault();
      return var10000.getEntry("details", loc, var2);
   }
}
